
Smart Proxy - Feature #11992

Support loading Puppet from AIO packages

09/29/2015 07:50 AM - Dominic Cleal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The smart proxy supports Puppet 4 loaded in the same Ruby environment (#11599), e.g. installed via a gem or some OS packages,

but does not support Puppet installed with AIO packaging.  In this instance, it would be unable to require 'puppet' as it would be

installed in a non-standard path.

Related issues:

Related to Smart Proxy - Bug #11599: Parsing environments/manifests in Puppet... Closed 08/28/2015

Related to Smart Proxy - Feature #13667: puppet_proxy and puppetca modules lo... Closed 02/11/2016

Blocks Foreman - Tracker #8447: Puppet 4 support Closed 11/19/2014

History

#1 - 09/29/2015 07:51 AM - Dominic Cleal

- Blocks Tracker #8447: Puppet 4 support added

#2 - 09/29/2015 07:51 AM - Dominic Cleal

- Related to Bug #11599: Parsing environments/manifests in Puppet 4 fails added

#3 - 09/29/2015 07:54 AM - Dominic Cleal

Vaguely related.. https://groups.google.com/forum/#!msg/foreman-dev/4PoI3PyndYg/FL3gz6rYJgAJ touches on how implementing support for AIO

and Puppet 4 could permit dropping of Ruby 1.8.7 support eventually in the smart proxy.

Suggestions in the thread are to implement Puppet 4 and AIO support in kafo_parsers and have the smart proxy use that library.

#4 - 02/11/2016 10:13 AM - Anonymous

- Related to Feature #13667: puppet_proxy and puppetca modules load puppet gem in puppet 4.0 and higher environments  added

#5 - 05/11/2016 05:17 AM - Dominic Cleal

- Status changed from New to Rejected

Support for loading Puppet from AIO packages will not be added, but instead ticket #13667 tracks using the Puppet Server API to retrieve all

necessary information.
